Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCurveStringCollection Class Reference
[MgCurveStringCollection]

MgCurveStringCollection provides support for defining an ordered set of curve strings. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgCurveString *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all curve strings from the collection.
virtual bool | Contains (const MgCurveString *value) const
| Returns true if the collection contains the specified curve string, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of curve strings in the collection.
virtual MgCurveString * | GetItem (INT32 index) const
| Gets the curve string in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgCurveString *value) const
| Returns the index of the specified curve string in the collection or -1 if the curve string does not exist.
virtual void | Insert (INT32 index, MgCurveString *value)
| Inserts the specified curve string at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgCurveStringCollection ()
| Construct a MgCurveStringCollection object.
virtual bool | Remove (const MgCurveString *value)
| Removes the specified curve string from the collection. Return true if the curve string was removed.
virtual void | RemoveAt (INT32 index)
| Removes the curve string at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgCurveString *value)
| Sets the curve string in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgCurveStringCollection provides support for defining an ordered set of curve strings.

Comments or suggestions? Send us feedback.